<form [formGroup]="courseForm" (ngSubmit)="onSubmit()">
  <div class="row justify-content-center align-items-center mt-3">
    <div class="col-md-8 d-flex flex-column">
      <label for="title">Title</label>
      <input
        type="text"
        id="title"
        class="form-control default-input-border"
        formControlName="title"
        required>
      <div *ngIf="shouldShowError(courseForm.controls.title)"
           [ngClass]="getTitleErrorClass(courseForm.controls.title)"
      >
        Title is required
      </div>
    </div>
    <div class="col-md-4 d-flex justify-content-end align-self-end ">
      <app-button
        [text]="isEditMode ? 'Edit Course' : 'Create Course'"
        class="add-course"
        buttonType="submit"
        [borderStyle]="borderStyle"
      >
      </app-button>
    </div>
  </div>
  <div class="row justify-content-center align-items-center mt-3">
    <div class="col-12 d-flex flex-column">
      <label for="description">Description</label>
      <textarea
        name="description"
        id="description"
        cols="30"
        rows="10"
        class="form-control default-input-border"
        formControlName="description"
        required
      ></textarea>
      <div *ngIf="shouldShowError(courseForm.controls.description)"
           [ngClass]="getTitleErrorClass(courseForm.controls.description)"
      >
        Description is required
      </div>
    </div>
  </div>

  <div class="container border border-secondary mt-5 p-3">
    <div class="row justify-content-center align-items-center ">
      <div class="col-6 d-flex flex-column">
        <h4 class="text-center">Add authors</h4>
      </div>
      <div class="col-6">
        <h4 class="text-center">Authors list</h4>
      </div>
    </div>
    <div class="row justify-content-center align-items-center mt-3">
      <div formGroupName="newAuthor"
           class="col-6 d-flex flex-column">
        <label for="author">Author name</label>
        <input
          type="text"
          id="author"
          class="form-control default-input-border mb-2"
          formControlName="authorName"
          authorNameValidator
          autocomplete="off"
        >
        <app-button
          text="Add author"
          class="default-button add-author"
          [borderStyle]="borderStyle"
          (click)="addAuthor()"
        >
        </app-button>
        <div *ngIf="shouldShowError(authorControl)"
             [ngClass]="getInputErrorClass(authorControl)"
        >
          Author name is invalid
        </div>
      </div>

      <div class="col-6 align-self-start" formArrayName="authors">
        <div class="d-flex justify-content-around mb-2" [formGroupName]="i"
             *ngFor="let author of authorsList.controls; let i=index">
          <input [value]="author.value" disabled>
          <app-button
            text="Delete author"
            class="default-button"
            [borderStyle]="borderStyle"
            (click)="removeAuthor(i)"
          >
          </app-button>
        </div>
      </div>

    </div>


    <div class="row mt-3">
      <div class="col-6 d-flex flex-column">
        <h4 class="text-center">Duration</h4>
        <label for="duration">Duration</label>
        <input
          type="text"
          id="duration"
          class="form-control default-input-border mb-2"
          formControlName="duration"
          autocomplete="off">
        <div *ngIf="shouldShowError(courseForm.controls.duration)"
             [ngClass]="getInputErrorClass(courseForm.controls.duration)"
        >
          Duration is required
        </div>
        <span class="duration-text">Duration: {{ courseForm.controls.duration.value | minutesToDuration }}</span>
      </div>
    </div>
  </div>
</form>
